## org.apache.cocoon.processor.ldap
Class LdapContextCreator

    java.lang.Object
      |
      +--org.apache.cocoon.processor.ldap.LdapContextCreator

public class LdapContextCreator
extends java.lang.Object

Utility methods for this processor.
adapted from Donald Ball's SQLProcessor code.

Version:
  1.0
Author:
  James Birchfield

Field Summary
`protected java.util.Properties` `env`
`protected java.lang.String` `initializer`
`protected java.lang.String` `ldapserverurl`

Constructor Summary
`LdapContextCreator(java.util.Properties props)`

Method Summary
`javax.naming.ldap.LdapContext` `getLdapContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initializer

    protected java.lang.String initializer

### ldapserverurl

    protected java.lang.String ldapserverurl

### env

    protected java.util.Properties env

Constructor Detail

### LdapContextCreator

    public LdapContextCreator(java.util.Properties props)

Method Detail

### getLdapContext

    public javax.naming.ldap.LdapContext getLdapContext()
                                                 throws java.lang.Exception

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.